import Vue from 'vue'
import Router from 'vue-router'
import Main from '../components/Main.vue'
import Index from '../components/Index.vue'
import Contract from '../components/Contract.vue'
import Linkmen from '../components/Linkmen.vue'
import User from '../components/User.vue'
import Enterprise from '../components/Enterprise.vue'
import Info from '../components/Info.vue'
import EnpInfo from '../components/EnpInfo.vue'
import LpInfo from '../components/LpInfo.vue'
import AupInfo from '../components/AupInfo.vue'
import List from '../components/List.vue'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      component: Main,
      children: [
        {
          path: '/',
          component: Index
        }, {
          path: '/contract',
          component: Contract
        }, {
          path: '/linkmen',
          component: Linkmen
        }, {
          path: '/user',
          component: User
        }
      ]
    },
    {
      path: '/enterprise',
      component: Enterprise,
      children: [
        {
          path: '/enterprise/info',
          component: Info,
          children: [
            {
              path: '',
              component: EnpInfo
            },
            {
              path: '/enterprise/info/legalPresonInfomation',
              component: LpInfo
            },
            {
              path: '/enterprise/info/authorizedPersonInfomation',
              component: AupInfo
            }
          ]
        },
        {
          path: '/enterprise/list',
          component: List
        }

      ]
    }
  ]
})
